/***************************************************************************
****************************************************************************

This is a part of the xModule Source code.

Copyright (C) 2003-2007 The LS-Universe Team

  Homepage: http://www.ls-universe.info

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

****************************************************************************
****************************************************************************/

#if !defined(AFX_MULTIMONITOR_H__727CFF7C_88C5_4220_8BC5_716CA734EEBD__INCLUDED_)
#define AFX_MULTIMONITOR_H__727CFF7C_88C5_4220_8BC5_716CA734EEBD__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class MultiMonitor  
{

public:

	MultiMonitor();
	~MultiMonitor();

	int iMinScreenX;
	int iMinScreenY;
	int iMaxScreenWidth;
	int iMaxScreenHeight;

	int iRealMonitors;
	int iMonitorIndex;
	MONITORINFO MonitorInfoArray[3];
	SIZE MonitorSizeArray[3];

	HMONITOR pMonitor;
	HMONITOR sMonitor;
	HMONITOR tMonitor;	
	
	HDC hdcDesktop;
	HBITMAP hbmDesktop;
	
	void InitializeMultiMonitor();

private:

	void GetMonitorInfo();

};

struct MonitorEnumData
{
	RECT *pRect;
	MultiMonitor *pMultiMonitor;
};

#endif // !defined(AFX_MULTIMONITOR_H__727CFF7C_88C5_4220_8BC5_716CA734EEBD__INCLUDED_)
